package com.tsi.monitoring.repository;

import com.tsi.monitoring.vo.LocalCenterLinkVo;
import com.tsi.monitoring.vo.ProcessStatusVo;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.concurrent.atomic.AtomicReference;

@Component
public class GlobalStatusInfoRepository {
    private final AtomicReference<List<LocalCenterLinkVo>> localCenterValues = new AtomicReference<>();
    private final AtomicReference<List<ProcessStatusVo>> processStatusValues = new AtomicReference<>();
    private final AtomicReference<List<ProcessStatusVo>> allProcessStatusValues = new AtomicReference<>();

    public void setLocalCenterValue(List<LocalCenterLinkVo> list) {
        this.localCenterValues.set(list);
    }

    public List<LocalCenterLinkVo> getLocalCenterValue() {
        return this.localCenterValues.get();
    }

    public void setProcessStatusValue(List<ProcessStatusVo> list) {
        this.processStatusValues.set(list);
    }

    public List<ProcessStatusVo> getProcessStatusValue() {return this.processStatusValues.get();}

    public void setAllProcessStatusValue(List<ProcessStatusVo> list) {
        this.allProcessStatusValues.set(list);
    }
    public List<ProcessStatusVo> getAllProcessStatusValue() {return this.allProcessStatusValues.get();}
}
